define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
	};

	Model.prototype.grid3RowClick = function(event) {
		if (event.row) {
			var options = {
				id : event.row.getID()
			};
			this.comp("detailDialog").open({
				data : options
			});
		}
	};

	Model.prototype.button2Click = function(event) {
		if (window.confirm("您确认要删除么?")) {
			var data = this.comp("mainData");
			data.setValue("isDelete", 1);
			data.saveData();
			justep.Util.hint("删除成功！", {
				type : 'success',
				parent : this.getRootNode()
			});
			data.refreshData();
		}
	};

	Model.prototype.addBtnClick = function() {
		var saveOrUpdateDialog = this.comp("saveOrUpdateDialog");
		saveOrUpdateDialog.set({
			title : "委托单位登记"
		});
		var options = {
				action : 'new'
		};
		saveOrUpdateDialog.open({
			data : options
		});
	};


	Model.prototype.button3Click = function(event){
		var saveOrUpdateDialog = this.comp("saveOrUpdateDialog");
		saveOrUpdateDialog.set({
			title : "委托单位变更"
		});
		var currentRowID = this.comp("mainData").getCurrentRowID();
		if(currentRowID){
			var options = {
				action : 'edit',
				id : currentRowID
			};
			saveOrUpdateDialog.open({
				data : options
			});
		}
	};
	
	
	Model.prototype.saveOrUpdateDialogReceive = function(event){
		if(event.data === "success"){
			this.comp("mainData").refreshData();
			justep.Util.hint("保存成功！", {
				type : 'success',
				parent : this.getRootNode()
			});
		}
	};
	
	
	Model.prototype.dataTables1RowDblClick = function(event){
		if (event.row) {
			var options = {
				id : event.row.getID()
			};
			this.comp("detailDialog").open({
				data : options
			});
		}
	};
	
	
	Model.prototype.back = function(event){
		var dataTables = this.comp("dataTables1");
		var checked = dataTables.getCheckeds();
		var client = this.comp("mainData2");
		for(var i=0;i<checked.length;i++){
			client.setValue("isDelete", 0, checked[i].rowID);
		}
		client.saveData();
	};
			
	
	
	
	Model.prototype.mainData2SaveCommit = function(event){
		justep.Util.hint("恢复成功！", {
				type : 'success',
				parent : this.getRootNode()
			});
			this.comp("mainData2").refreshData();
	};
	
	
	Model.prototype.nav_list2Click = function(event){
		this.comp("mainData2").refreshData();
	};
	
	
	Model.prototype.nav_listClick = function(event){
		this.comp("mainData").refreshData();
	};
	
	
	return Model;
});