define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
    
    var isAuto = false;
    var isEditCut = false;
    var iDegree = 90;
    var baseDir = "D:\\pcamera\\";
    var plugin = null;
    
	var Model = function() {
		this.callParent();
		plugin = document.getElementById("plugin");
	};
     
	Model.prototype.result = function() {
		// 这里实现返回的逻辑
		return "success";
	};

	Model.prototype.wReceiverReceive = function(event) {
		var action = event.data.action;
		var mainData = this.comp("mainData");
		if(action === 'new'){
			mainData.newData();
		} else {
			mainData.setFilter("getFilterByID", "client='" + event.data.id + "'");
			mainData.refreshData();
		}
		/*var dossierData = this.comp("dossierData");
		dossierData.setFilter("getDossierByClientID" , "clientID='" + event.data.id + "'");
		dossierData.refreshData();*/
		
		$("#degree").attr("disabled" , true);
		$("#capture").attr("disabled" , true);
		$("#autoCrop").attr("disabled" , true);
		$("#editCut").attr("disabled" , true);
		$("#closeDevice").attr("disabled" , true);
	};

	Model.prototype.mainDataSaveCommit = function(event) {
	   this.comp('wReceiver').windowEnsure(this.result());
	};
	
	Model.prototype.inventoryGroupChange = function(event){
		var tempVal = this.comp("inventoryGroup").val();
		var tempValArr = [];
	    if(tempVal){
	      tempValArr = tempVal.split(" ");
	      tempValArr.join(";");
	    }
	    var mainData = this.comp("mainData");
	    mainData.setValue("inventory", tempValArr.toString());
	};

	Model.prototype.checkbox1Change = function(event){
		if(this.comp("checkbox1").val()){
		  var vals = [];
		  this.comp('dictData').eachAll(function(param){
		    	vals.push(param.row.val('dictValue'));
		  });
		  this.comp("inventoryGroup").val(vals.join(" ").toString());
		} else {
		  this.comp("inventoryGroup").val("");	
		}
		this.inventoryGroupChange();
	};
	
	

	Model.prototype.startDeviceClick = function(event){
		if(plugin){
			plugin.StartDevice();
		}
		$("#degree").attr("disabled" , false);
		$("#capture").attr("disabled" , false);
		$("#autoCrop").attr("disabled" , false);
		$("#editCut").attr("disabled" , false);
		$("#closeDevice").attr("disabled" , false);
	};

	Model.prototype.degreeClick = function(event){
		if(plugin){
			plugin.RotateVideoByDegree(iDegree);
		}
	};

	Model.prototype.captureClick = function(event){
		try{
			if(plugin){
				var path = baseDir + justep.UUID.createUUID() + ".jpg";
				var attachmentData = this.comp("attachmentData");
				attachmentData.newData();
				var base64str = plugin.CaptureImage(path);
				attachmentData.setValue("content", "data:image/jpeg;base64,"+base64str);
				attachmentData.setValue("url", path);
			}
		}catch (err) {alert(err);}
	};

	Model.prototype.autoCropClick = function(event){
		try{
			if(plugin){
				plugin.SetAutoCrop(!isAuto);//or false
				isAuto = !isAuto;
			}
		}catch (err) {alert(err);}
	};

	Model.prototype.editCutClick = function(event){
		try{
			if(plugin){
				plugin.SetEditCut(!isEditCut);//or false
				isEditCut = !isEditCut;
			}
		}catch (err) {alert(err);}
	};

	Model.prototype.closeDeviceClick = function(event){
		if(plugin){
			plugin.CloseDevice();
		}
		$("#degree").attr("disabled" , true);
		$("#capture").attr("disabled" , true);
		$("#autoCrop").attr("disabled" , true);
		$("#editCut").attr("disabled" , true);
		$("#closeDevice").attr("disabled" , true);
	};

	Model.prototype.delBtnClick = function(event){
	   var row = event.bindingContext.$object;
	   if(row){
	      var attachmentData = this.comp("attachmentData");
	      attachmentData.deleteData(row);
	   }
	};

	Model.prototype.mainDataAfterSave = function(event){
		
	};

	return Model;
});